## doctest 0.2.0

=== DESCRIPTION ===
Package: doctest
Type: Package
Title: Generate Tests from Examples Using 'roxygen' and 'testthat'
Version: 0.2.0
Authors@R: person("David", "Hugh-Jones",
                          email = "davidhughjones@gmail.com",
                          role = c("aut", "cre"))
Maintainer: David Hugh-Jones <davidhughjones@gmail.com>
Description: Creates 'testthat' tests from 'roxygen' examples using simple tags.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.3
Imports: cli, fs, pkgload, purrr, rlang, roxygen2, testthat
Suggests: covr, knitr, lifecycle, rmarkdown
Config/testthat/edition: 3
URL: https://hughjonesd.github.io/doctest/
BugReports: https://github.com/hughjonesd/doctest/issues
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2023-04-27 12:41:54 UTC; david
Author: David Hugh-Jones [aut, cre]
Repository: CRAN
Date/Publication: 2023-04-28 17:50:05 UTC
