=== debian/changelog ===
doctest (1.2.7+repack0-2) unstable; urgency=medium

  * Cleanup d/control thanks to `cme update dpkg-control`
  * Update Vcs-* for the move to Salsa

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Feb 2018 20:52:58 +0100

doctest (1.2.7+repack0-1) unstable; urgency=medium

  * New upstream release

 -- Didier Raboud <odyx@debian.org>  Fri, 09 Feb 2018 00:10:27 +0100

doctest (1.2.6+repack0-2) unstable; urgency=medium

  * Initialize git-dpm; add patch:
    - Correct DOCTEST_NO_INSTALL logic; do install unless it is set
      (Closes: #880721)
  * Actually verify that the mandatory files are really installed

 -- Didier Raboud <odyx@debian.org>  Sat, 04 Nov 2017 15:28:11 +0100

doctest (1.2.6+repack0-1) unstable; urgency=medium

  * New 1.2.6 release
    - doc/html_generated is removed; as it contains strapdown.js and a minified
      Bootstrap CSS

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Nov 2017 18:24:37 +0100

doctest (1.2.5+repack0-2) unstable; urgency=medium

  * Mark doctest-dev Multi-Arch: foreign
  * As upstream tarball is repacked, mangle the version in debian/watch
  * Add debian/gbp.conf

 -- Didier Raboud <odyx@debian.org>  Mon, 23 Oct 2017 13:22:45 +0200

doctest (1.2.5+repack0-1) unstable; urgency=low

  * Initial release. (Closes: #879103)

  * Repack the original 1.2.5:
    - doc/html_generated is removed; as it contains strapdown.js and a minified
      Bootstrap CSS

 -- Didier Raboud <odyx@debian.org>  Fri, 20 Oct 2017 08:48:53 +0200
