=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_EXPORT_COMPILE_COMMANDS=ON \
	                     -DCMAKE_CXX_FLAGS="-fprofile-arcs -ftest-coverage -std=c++98" \
	                     -DCMAKE_BUILD_TYPE=Debug

override_dh_auto_test:
	dh_auto_test --no-parallel -- ARGS\+=--output-on-failure

override_dh_compress:
	dh_compress -X.md$

override_dh_install:
	dh_install
	# Verify that the mandatory files are really installed
	[ -r debian/doctest-dev/usr/include/doctest/doctest.h ]
	[ -x debian/doctest-dev/usr/lib/cmake/doctest ]
