## doctest 1.2.9%2Brepack0

=== scripts/how_stuff_works/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(how_stuff_works)

add_executable(how_captures_work how_captures_work.cpp)
add_executable(how_exception_translators_work how_exception_translators_work.cpp)
add_executable(how_subcases_work how_subcases_work.cpp)
