## doctest 1.2.9+repack0

=== scripts/playground/CMakeLists.txt ===
--- 
+++ 
@@ -9,3 +9,6 @@
 doctest_add_executable(${PROJECT_NAME} main.cpp test.cpp)
 
 doctest_add_test(NAME ${PROJECT_NAME} COMMAND $<TARGET_FILE:${PROJECT_NAME}> -nv)
+
+#add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD COMMAND $<TARGET_FILE:${PROJECT_NAME}>)
+#add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD COMMAND ctest -C $<CONFIGURATION> --output-on-failure)
