=== debian/changelog ===
doctest (1.2.9+repack0-1) unstable; urgency=medium

  * New 1.2.9 upstream release
  * Bump S-V to 4.1.4 without changes needed
  * Bump debhelper compat to 11

 -- Didier Raboud <odyx@debian.org>  Mon, 14 May 2018 14:37:40 +0200

doctest (1.2.8+repack0-1) unstable; urgency=medium

  * New 1.2.8 upstream release

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Mar 2018 15:17:36 +0100
