=== debian/changelog ===
doctest (2.3.3+repack0-2) experimental; urgency=medium

  * Add gitlab-ci configuration for Salsa
  * Use dpkg-buildflags' CXXFLAGS with CPPFLAGS appended to circumvent CMake

 -- Didier Raboud <odyx@debian.org>  Fri, 21 Jun 2019 17:27:54 +0200

doctest (2.3.3+repack0-1) experimental; urgency=medium

  * New 2.3.3 upstream release

 -- Didier Raboud <odyx@debian.org>  Fri, 21 Jun 2019 16:42:28 +0200

doctest (2.3.2+repack0-1) experimental; urgency=medium

  * New 2.3.2 upstream release

  * debian/rules improvements:
    - Configure to use C++11, not C++98
    - Override CMAKE_INSTALL_LIBDIR to leave the CMake configurations
      in an arch-indep location
    - Fix dh_compress -X' syntax
  * Bump S-V to 4.3.0
  * Bump debhelper compat to 12
  * Install examples

 -- Didier Raboud <odyx@debian.org>  Sun, 19 May 2019 10:43:03 +0200
