=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Maintainer: Didier Raboud <odyx@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                doxygen
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/doctest
 Vcs-Git: https://salsa.debian.org/debian/doctest.git
 Homepage: https://github.com/onqtam/doctest
