## doctest 2.3.4+repack0

=== debian/changelog ===
doctest (2.3.4+repack0-1) unstable; urgency=medium

  * New 2.3.4 upstream release, to unstable

  * Update standards version, no changes needed.
  * Set upstream metadata fields: Contact, Name.

 -- Didier Raboud <odyx@debian.org>  Sun, 18 Aug 2019 17:50:56 +0200
