=== debian/changelog ===
doctest (2.3.6+repack0-1) unstable; urgency=medium

  * New 2.3.6+repack0 upstream release

 -- Didier Raboud <odyx@debian.org>  Mon, 23 Dec 2019 18:03:46 +0100

doctest (2.3.5+repack0-1) unstable; urgency=medium

  * New 2.3.5 upstream release

  * Unset redundant upstream metadata

 -- Didier Raboud <odyx@debian.org>  Fri, 27 Sep 2019 10:50:55 +0200
