=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 12),
                cmake,
                doxygen
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/doctest
 Vcs-Git: https://salsa.debian.org/debian/doctest.git
 Homepage: https://github.com/onqtam/doctest
