=== debian/watch ===
version=3
opts="dversionmangle=s/\+repack\d*$//,repacksuffix=+repack,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/doctest-$1\.tar\.gz/" \
  https://github.com/onqtam/doctest/tags .*/v?(\d\S+)\.tar\.gz
