## doctest 2.4.0+repack0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
 cmake_minimum_required(VERSION 3.0)
+
+if(POLICY CMP0077)
+    cmake_policy(SET CMP0077 NEW)
+endif()
 
 ################################################################################
 ## DOCTEST
