=== debian/changelog ===
doctest (2.4.0+repack0-1) unstable; urgency=medium

  * Update to new upstream version 2.4.0+repack0

 -- Didier Raboud <odyx@debian.org>  Tue, 30 Jun 2020 13:10:23 +0200

doctest (2.3.8+repack0-1) unstable; urgency=medium

  * Update to new upstream version 2.3.8+repack0.
  * Bump debhelper from old 12 to 13.

 -- Didier Raboud <odyx@debian.org>  Mon, 25 May 2020 21:36:27 +0200

doctest (2.3.7+repack0-1) unstable; urgency=medium

  * Update to new upstream version 2.3.7+repack0
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Bump Standards-Version to 4.5.0 without changes needed

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Feb 2020 11:02:29 +0100
