=== debian/changelog ===
doctest (2.4.1+repack0-1) unstable; urgency=medium

  * Update to new upstream version 2.4.1+repack0

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Nov 2020 18:32:32 +0100
