## doctest 2.4.4+repack0

=== debian/changelog ===
doctest (2.4.4+repack0-1) unstable; urgency=medium

  * Update to new upstream version 2.4.4+repack0.
  * Update watch file format version to 4.

 -- Didier Raboud <odyx@debian.org>  Tue, 29 Dec 2020 11:18:36 +0100
